{% extends 'base.html' %}

{% block title %}
Landing page
{% endblock %}

{% block content %}
{% load static %}

    <div class="jumbotron" class="view">
        <div class="d-flex justify-content-center align-items-center">
            <!-- Content -->
            <div class="container-fluid">
                <div class="d-flex mb-5 justify-content-around wow fadeIn">
                    <div class="white-text text-left wow fadeInLeft">
                        <h1 class="h1-responsive display-1 font-weight-bold white-text pt-md-5 pt-5" id = "greeting">Halo, apa kabar?</h1>
                    </div>
                    <div class="wow fadeInRight intro-img-container form1 p-1">
                        <form method="POST" action="{% url 'landing_page:create_status' %}">
                            {% csrf_token %}
                                {% for question in StatusForm %}
                                    <div class="form-group md-form">
                                        <label for="{{question.id_for_label}}">{{question.label}}</label>
                                        {{question}}
                                        {% if question.errors %}
                                            {{question.errors}}
                                        {% endif %}
                                    </div>
                                {% endfor %}
                                <div class="form-group">
                                        <button type="submit" class="btn btn-primary">Post</button>
                                </div>
                        </form>            
                    </div>
                </div>
            </div>
        </div>
    </div>

    <section class="py-5">
        {% if status_datas %}
            {% for data in status_datas %}
            <div class="card mb-4">
                <div class="card-header">
                    <p class = "time-stamp m-0">{{data.time_stamp}}</p>
                </div>
                <div class="card-body">
                    <p class="card-text">{{data.status}}</p>
                </div>
            </div>
            {% endfor %}
        {% else %}
            <h1 class="h1-responsive wow bounce text-center m-5">Be The First to Write Status</h1>	
        {% endif %}
	</section>	
{% endblock %}

{% block script %}
    <script>
        
    </script>
{% endblock %}

